<?php

error_reporting(E_ALL);
ini_set('display_errors', 1);

$host = "192.168.1.20";
$database = "tiro_piattello";
$user = "pdo";
$password = "";

$datiMedici = [];

try {
    $connection = new PDO("mysql:host=$host;dbname=$database", $user, $password);
    echo "Connected successfully<br>";

    $prepare = $connection->prepare("SELECT id, nome, sede FROM squadra");
    $prepare->execute();
    if ($prepare->rowCount() > 0) {
        $datiMedici = $prepare->fetchAll();
    }
    $connection = null;

} catch (PDOException $e) {
    die ("Error!: " . $e->getMessage() . "<br/>");
}

?>

<html lang="en">
<head>
    <title>HTML</title>
    <link
            rel="stylesheet"
            href="https://cdn.jsdelivr.net/npm/@picocss/pico@2/css/pico.min.css"
    >
</head>

<body>
    <main class="container">
        <h1>Ricerca Squadra</h1>
        <form action="result.php" method="POST">
            <label for="squadra">Seleziona squadra</label>
            <select id="squadra" name="squadra">
                <?php foreach ($datiMedici as $med) {
                    echo "<option value='" . $med['id'] . "'>" . $med['nome'] . " </option>";
                } ?>
            </select>
            <input
                    type="submit"
                    value="Esegui Ricerca"
            />
        </form>
    </main>
</body>

</html>
